import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { MainProperttyTypeMaster } from '../models';
import { MainProperttyTypeMasterRepository } from '../repositories';
export declare class MainpropertytypeController {
    mainProperttyTypeMasterRepository: MainProperttyTypeMasterRepository;
    constructor(mainProperttyTypeMasterRepository: MainProperttyTypeMasterRepository);
    create(mainProperttyTypeMaster: Omit<MainProperttyTypeMaster, 'mainpropertytypeId	'>): Promise<MainProperttyTypeMaster>;
    count(where?: Where<MainProperttyTypeMaster>): Promise<Count>;
    find(filter?: Filter<MainProperttyTypeMaster>): Promise<MainProperttyTypeMaster[]>;
    updateAll(mainProperttyTypeMaster: MainProperttyTypeMaster, where?: Where<MainProperttyTypeMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<MainProperttyTypeMaster>): Promise<MainProperttyTypeMaster>;
    updateById(id: number, mainProperttyTypeMaster: MainProperttyTypeMaster): Promise<void>;
    replaceById(id: number, mainProperttyTypeMaster: MainProperttyTypeMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
